From 3430f134746a4c8aa5c0f1e8ba4e706a46f95770 Mon Sep 17 00:00:00 2001
From: LibreMiami <packaging-guix@libremiami.org>
Date: Fri, 12 Mar 2021 11:00:00 -0500
Subject: [PATCH 2/2] gnu: Add grumble.

* gnu/packages/telephony.scm (grumble):
New variable.

Co-authored-by: Raghav Gururajan <rg@raghavgururajan.name>
Co-authored-by: donotshake <donotshake:matrix.org>
Co-authored-by: jgart <jgart@dismail.de>
---
 gnu/packages/telephony.scm | 39 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index 5c8d247e68..f6f2312d65 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -59,6 +59,7 @@
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages golang)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages image)
   #:use-module (gnu packages libcanberra)
@@ -92,6 +93,7 @@
   #:use-module (guix git-download)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system go)
   #:use-module (guix build-system qt))
 
 (define-public libilbc
@@ -915,3 +917,40 @@ Initiation Protocol (SIP) and a multimedia framework.")
 telephony functionality into custom Telegram clients.")
     (home-page "https://github.com/zevlg/libtgvoip")
     (license license:unlicense)))
+
+(define-public grumble
+  (let ((commit "6f8c2bf2f51fddc1cb09e3385bc4e9db5dc43ba9")
+        (revision "335"))
+    (package
+      (name "grumble")
+      (version (git-version "0.0.0" revision commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/mumble-voip/grumble")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "0yvh1k1ag56b5myg479hs6c296h9c19l43qbjmf0qwa6n4j3rvss"))))
+      (build-system go-build-system)
+      (arguments
+       '(#:unpack-path "github.com/mumble-voip/grumble"
+         #:import-path "github.com/mumble-voip/grumble/cmd/grumble"
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'patch
+             (lambda* (#:key unpack-path #:allow-other-keys)
+               (substitute* (find-files "." "\\.go$")
+                 (("mumble.info/grumble/pkg")
+                  (string-append unpack-path "/pkg")))
+               #t)))))
+      (inputs
+       `(("go-github-com-golang-protobuf-proto" ,go-github-com-golang-protobuf-proto)
+         ("go-github-com-gorilla-websocket" ,go-github-com-gorilla-websocket)
+         ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)))
+      (synopsis "Alternative Mumble server")
+      (description "Grumble is an implementation of a server for the Mumble
+voice chat system.  It is an alternative to Murmur, the typical Mumble server.")
+      (home-page "https://github.com/mumble-voip/grumble")
+      (license license:bsd-3))))
-- 
2.30.2

